Get Compliance Activity Timeline
curl --request GET \
--url https://api.your-blindsight.com/api/compliance/activity-timelineimport requests
url = "https://api.your-blindsight.com/api/compliance/activity-timeline"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.your-blindsight.com/api/compliance/activity-timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"generated_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"domain_start": "2023-11-07T05:31:56Z",
"domain_end": "2023-11-07T05:31:56Z",
"days": [
{
"date": "<string>",
"highest_severity": "none",
"critical_count": 0,
"high_count": 0,
"total_count": 0,
"affected_dataset_count": 0
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}compliance
Get Compliance Activity Timeline
GET
/
api
/
compliance
/
activity-timeline
Get Compliance Activity Timeline
Query Parameters
Optional dataset UUIDs to scope the timeline to a subset of datasets.
Optional ISO timestamp marking the beginning of the timeline domain.
Optional ISO timestamp marking the end of the timeline domain.
IANA timezone name used to bucket events by local day.

